Subject: problem linking cygwin/gcc and pgf90 object files
From: Jean-Luc Vay <[email-masked]>
To: [email-masked]
Date: Thu, 26 Oct 2000 14:10:46 -0700

Hi,

since I installed the new version of cygwin 1.1.4, I have a linking
problem
between cygwin/gcc object files and Portland Group FORTRAN object
files. When linkg using pgcc, I get the following undefined reference

>pgcc  python.o warp/*.o ../libpython1.5.a
-LC:/cygwin/usr/local/lib/yorick/1.4/lib -L/PGI/nt86/lib
-LC:/cygwin/usr/X11r6/lib -lgist -lX11 -llapack -lblas -lpgf90
-lpgf90_rpm1 -lpgf902 -lpgf90rtl -lpghpf
-lgcc -lcygwin -lcrtdll -cyglibs -o pywarp
C:\PGI/nt86/lib/pgstdinit-cygnus.o(.text+0x41d):pgstdinit.c: undefined
reference to `__imp__timezone'

although '__imp__timezone' is in libcygwin.a. I did not get this error
message when I was use cygwinb20.

I also tried to link using cygwin/gcc instead and was successful using

gcc  -g python.o warp/*.o ../libpython1.5.a
-L/usr/local/lib/yorick/1.4/lib -L/c/PGI/nt86/libtest -L/usr/X11r6/lib
-lgist -lX11
-lm
-llapack -lblas -lpgf90 -lpgf90_rpm1 -lpgf902 -lpgf90rtl -lpghpf -lpgc
-lcrtdll -o pywarp

Unfortunately, I got errors at run time (while trying to write
in FORTRAN subroutines):

Program received signal SIGSEGV, Segmentation fault.
0x41c044 in prntpara (dxperp=Cannot access memory at address 0x0.
) at dtop.f:2461
2461    dtop.f: No such file or directory.
Current language:  auto; currently fortran
(gdb) where
#0  0x41c044 in prntpara (dxperp=Cannot access memory at address 0x0.
) at dtop.f:2461
#1  0x76ef51 in __hpfio_fcvt ()
#2  0x76277f in __hpfio_fmt_f ()
#3  0x75a0d1 in fw_writenum ()
#4  0x759a08 in fw_write ()
#5  0x75944b in __f90io_fmt_write ()
#6  0x7594f1 in pgf90io_fmt_write ()
#7  0x42b8c2 in stepid (it=0, time=0, zbeam=0) at dtop.f:11140

I did not receive yet a solution to this problem from the Portland
Group.
Does someone at cygwin has a clue especially concerning the
undefined reference to `__imp__timezone'?

Thanks,

Jean-Luc

-------------------------------------------------
Jean-Luc Vay
Accelerator and Fusion Research Division
Lawrence Berkeley National Laboratory - MS 47
Berkeley, CA 94720, USA
Tel: (1) 510-486-4934
Fax: (1) 510-486-5392
Email: [email-masked]
-------------------------------------------------

--
Want to unsubscribe from this list?
Send a message to [email-masked]